## gnome-shell-extension-gamemode 4

=== Makefile ===

SRCDIR := $(shell dirname "$0")
ABSSRC := $(shell realpath "$(SRCDIR)")
TMPDIR := $(shell mktemp -p "$(SRCDIR)" -d _install.XXXXXX)

UUID := gamemode@christian.kellner.me
VERSION := $(shell git describe 2> /dev/null || git rev-parse --short HEAD)

SOURCES := extension.js client.js
OTHER := LICENSE README.md
GEN := metadata.json

metadata.json: metadata.json.in
	@echo "SED $<"
	@sed 's/@VERSION@/$(VERSION)/; s/@UUID@/$(UUID)/;' $< > $@

.PHONY: zip
zip: $(SOURCES) $(GEN) $(OTHER)
	@echo "COPY $^ $(TMPDIR)"
	@cp $^ "$(TMPDIR)"/
	@echo "ZIP"
	@cd "$(TMPDIR)" ; \
	zip -rmq "$(ABSSRC)/$(UUID).shell-extension.zip" .
	@echo "RM"
	@rm -rf "$(TMPDIR)"

.PHONY: clean
clean:
	rm -rf metadata.json _install* *.zip

=== debian/changelog ===
gnome-shell-extension-gamemode (4-2) unstable; urgency=medium

  * Initial source-only upload

 -- Jonathan Carter <jcc@debian.org>  Fri, 10 Jan 2020 19:16:04 +0200

gnome-shell-extension-gamemode (4-1) unstable; urgency=medium

  * Initial release (Closes: #934042)

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 Aug 2019 12:09:23 +0000

=== debian/control ===
Source: gnome-shell-extension-gamemode
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12),
               libglib2.0-bin,
               meson,
               ninja-build
Standards-Version: 4.4.1
Homepage: https://github.com/gicmo/gamemode-extension
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode.git

Package: gnome-shell-extension-gamemode
Architecture: all
Depends: ${misc:Depends}, gnome-shell
Description: gnome-shell extension that monitors the current status of gamemode
 GameMode optimises your system for peak performance when running a game.
 .
 This shell extension will show you whether GameMode is active and for which
 windows.
 .
 If you have the Debian gamemode package installed, you can test this
 extension by running: /usr/libexec/gamemode-simulate-game
 which should pop up a notification that gamemode is running, and
 that it has stopped after 10 seconds.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	mkdir -p build usr
	meson setup --prefix=$$PWD/usr . build
	ninja -Cbuild install
	rm -rf build
	rm usr/share/glib-2.0/schemas/gschemas.compiled

override_dh_auto_clean:
	rm -rf usr
	dh_auto_clean

=== debian/watch ===
version=4
https://github.com/gicmo/gamemode-extension/tags .*/v?(\d\S*)\.tar\.gz

## gnome-shell-extension-gamemode 5

=== debian/changelog ===
gnome-shell-extension-gamemode (5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jonathan Carter ]
  * Upload to unstable

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 11:29:46 +0200

gnome-shell-extension-gamemode (5-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.5.1
  * Upgrade debhelper-compat to 13

 -- Jonathan Carter <jcc@debian.org>  Fri, 18 Jun 2021 13:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
                meson,
                ninja-build
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/gicmo/gamemode-extension
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode.git
@@ -24,4 +24,3 @@
  extension by running: /usr/libexec/gamemode-simulate-game
  which should pop up a notification that gamemode is running, and
  that it has stopped after 10 seconds.
-

## gnome-shell-extension-gamemode 6

=== debian/changelog ===
gnome-shell-extension-gamemode (6-1) unstable; urgency=medium

  * New upstream release (Closes: #996057)

 -- Jonathan Carter <jcc@debian.org>  Mon, 03 Jan 2022 11:39:55 +0200

## gnome-shell-extension-gamemode 8

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 UUID := gamemode@christian.kellner.me
 VERSION := $(shell git describe 2> /dev/null || git rev-parse --short HEAD)
+URL := https://github.com/gicmo/gamemode-extension
 
 SOURCES := extension.js client.js
 OTHER := LICENSE README.md

=== debian/changelog ===
gnome-shell-extension-gamemode (8-6) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json
  * Simplify build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 15:07:49 -0400

gnome-shell-extension-gamemode (8-5) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096047)
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Feb 2025 16:54:33 -0500

gnome-shell-extension-gamemode (8-4) unstable; urgency=medium

  * Add patches for gnome-shell 47 support (Closes: #1052098)

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 12 Nov 2024 16:06:30 +0100

gnome-shell-extension-gamemode (8-3) unstable; urgency=medium

  * Declare support for gnome-shell 44 (Closes: #1041573)
  * Update standards version to 4.6.2

 -- Jonathan Carter <jcc@debian.org>  Tue, 29 Aug 2023 13:10:55 +0200

gnome-shell-extension-gamemode (8-2) unstable; urgency=medium

  * Re-introduce changes from 7-2 missing from previous upload
  * Remove debian/patches (no longer needed)

 -- Jonathan Carter <jcc@debian.org>  Tue, 18 Oct 2022 16:56:59 +0200

gnome-shell-extension-gamemode (8-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 18 Oct 2022 16:17:07 +0200

gnome-shell-extension-gamemode (7-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 19:20:33 -0400

gnome-shell-extension-gamemode (7-2) experimental; urgency=medium

  [ Jesús Soto ]
  * Add patches to mark compatible with GNOME Shell 43 (Closes: #1018268)
  * debian/control: Bump minimum & maximum gnome-shell to 43

  [ Jeremy Bicha ]
  * debian/control: Suggest gamemode

 -- Jesús Soto <jesus.soto@canonical.com>  Mon, 12 Sep 2022 09:55:37 -0400

gnome-shell-extension-gamemode (7-1) unstable; urgency=medium

  * New upstream release (Closes: #1008548)
  * Update standards version to 4.6.0

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 May 2022 13:40:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
                meson,
-               ninja-build
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/gicmo/gamemode-extension
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode.git
 
 Package: gnome-shell-extension-gamemode
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell
+Depends: ${misc:Depends},
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
+Suggests: gamemode
 Description: gnome-shell extension that monitors the current status of gamemode
  GameMode optimises your system for peak performance when running a game.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json.in', 'rt'))['shell-version']))") \
		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json.in', 'rt'))['shell-version']))")

## gnome-shell-extension-gamemode 14.0

=== debian/changelog ===
gnome-shell-extension-gamemode (14.0-2) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 49 (Closes: #1115514)

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 17 Sep 2025 22:09:14 +0200

gnome-shell-extension-gamemode (14.0-1) unstable; urgency=medium

  * Team upload
  * Switch to a new upstream:
    https://github.com/trsnaqe/gamemode-shell-extension

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 05 Sep 2025 18:02:41 +0200

## gnome-shell-extension-gamemode 15.0

=== debian/changelog ===
gnome-shell-extension-gamemode (15.0-1) unstable; urgency=medium

  * New upstream release
  * Remove gnome-shell-49.patch, not needed anymore

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 30 Sep 2025 10:39:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gnome-shell-extension-gamemode
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>, Sébastien Noel <sebastien@twolife.be>
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
                meson,
-Standards-Version: 4.7.0
-Homepage: https://github.com/gicmo/gamemode-extension
+Standards-Version: 4.7.2
+Homepage: https://github.com/trsnaqe/gamemode-shell-extension
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode.git
 
@@ -23,6 +24,6 @@
  windows.
  .
  If you have the Debian gamemode package installed, you can test this
- extension by running: /usr/libexec/gamemode-simulate-game
+ extension by running: /usr/games/gamemode-simulate-game
  which should pop up a notification that gamemode is running, and
  that it has stopped after 10 seconds.

=== debian/watch ===
version=4
https://github.com/trsnaqe/gamemode-shell-extension/tags .*/[vV]?(\d\S*)\.tar\.gz

## gnome-shell-extension-gamemode 16.0

=== debian/changelog ===
gnome-shell-extension-gamemode (16.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 05 Jan 2026 11:23:47 +0200

## gnome-shell-extension-gamemode 17.0

=== debian/changelog ===
gnome-shell-extension-gamemode (17.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.3
  * d/watch: switch to v5

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 17 Jan 2026 13:42:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gnome-shell-extension-gamemode
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>, Sébastien Noel <sebastien@twolife.be>
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
                meson,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/trsnaqe/gamemode-shell-extension
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gamemode.git

=== debian/watch ===
Version: 5
Template: Github
Owner: trsnaqe
Project: gamemode-shell-extension
